import apiClient from '../common/axios-instance.js';

const userService = {
    getUsers: async (searchParams) => {
        const response = await apiClient.get('/api/user', { params: searchParams });
        return response.data.data;
    },

    changeRoleApprove: async (users) => {
        await apiClient.put('/api/user/change-role-approve', users);
    },

    deleteUser: async (id) => {
        await apiClient.delete(`/api/user/${id}`);
    }
};

export default userService;